# Notes

Operations related to customer, pet, and order notes

## List customer notes

 - [GET /accounts/{accountId}/customers/{customerId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/listcustomernotes.md): Retrieve all notes for a specific customer

## Create customer note

 - [POST /accounts/{accountId}/customers/{customerId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/createcustomernote.md): Create a new note for a customer

## List pet notes

 - [GET /accounts/{accountId}/customers/{customerId}/pets/{petId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/listpetnotes.md): Retrieve all notes for a specific pet

## Create pet note

 - [POST /accounts/{accountId}/customers/{customerId}/pets/{petId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/createpetnote.md): Create a new note for a pet

## List order notes

 - [GET /accounts/{accountId}/orders/{orderId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/listordernotes.md): Retrieve all notes for a specific order

## Create order note

 - [POST /accounts/{accountId}/orders/{orderId}/notes](https://developers.propetware.com/apis/openapi-v1/notes/createordernote.md): Create a new note for an order

## Update customer note

 - [PATCH /accounts/{accountId}/customers/{customerId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/updatecustomernote.md): Update an existing customer note

## Delete customer note

 - [DELETE /accounts/{accountId}/customers/{customerId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/deletecustomernote.md): Delete an existing customer note

## Update pet note

 - [PATCH /accounts/{accountId}/customers/{customerId}/pets/{petId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/updatepetnote.md): Update an existing pet note

## Delete pet note

 - [DELETE /accounts/{accountId}/customers/{customerId}/pets/{petId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/deletepetnote.md): Delete an existing pet note

## Update order note

 - [PATCH /accounts/{accountId}/orders/{orderId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/updateordernote.md): Update an existing order note

## Delete order note

 - [DELETE /accounts/{accountId}/orders/{orderId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/deleteordernote.md): Delete an existing order note

## Update note (generic)

 - [PATCH /accounts/{accountId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/updatenote.md): Update an existing note (alternative endpoint without parent resource)

## Delete note (generic)

 - [DELETE /accounts/{accountId}/notes/{noteId}](https://developers.propetware.com/apis/openapi-v1/notes/deletenote.md): Delete an existing note (alternative endpoint without parent resource)

